summaryrefslogtreecommitdiffstats
path: root/source/x/glew/glew.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/glew/glew.SlackBuild')
-rwxr-xr-xsource/x/glew/glew.SlackBuild21
1 files changed, 15 insertions, 6 deletions
diff --git a/source/x/glew/glew.SlackBuild b/source/x/glew/glew.SlackBuild
index 75b22af65..d210557fb 100755
--- a/source/x/glew/glew.SlackBuild
+++ b/source/x/glew/glew.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,19 @@
# Slackware build script for glew
-VERSION=1.5.1
-ARCH=${ARCH:-x86_64}
+VERSION=1.5.7
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:--j8}
CWD=$(pwd)
@@ -50,8 +59,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP || exit 1
rm -rf glew-$VERSION
-tar xvf $CWD/glew-${VERSION}-src.tar.?z* || exit 1
-cd glew || exit 1
+tar xvf $CWD/glew-${VERSION}.tar.?z* || exit 1
+cd glew-${VERSION} || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -76,7 +85,7 @@ make install GLEW_DEST=$PKG/usr || exit 1
mkdir -p $PKG/usr/doc/glew-$VERSION
cp -a \
- LICENSE.txt README.txt doc/* \
+ LICENSE* README* doc/* \
$PKG/usr/doc/glew-$VERSION
mkdir -p $PKG/install